Recalculate kanban size or kanban cards
post
/fscmRestApi/resources/11.13.18.05/kanbanPlans/action/recalculate
Recalculates the Kanban size or the number of Kanban cards when the client sends the Pull Sequence ID along with additional parameters. Based on the calculation method defined for the pull sequence, the application returns either the Kanban size or the number of Kanban cards.
Request
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
avgDailyDemand: number
Average quantity of demand per day.
-
kanbanCards: number
Number of Kanban cards
-
kanbanSize: number
Size of the Kanban bin.
-
leadTime: number
Time required to replenish or produce an item.
-
pullSequenceId: number
Unique identifier for the pull sequence.
-
safetyStock: number
Additional inventory maintained to prevent shortages.
-
saveFlag: boolean
Indicates whether the record is saved.
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): number
Returns the Kanban size or number of Kanban cards based on the calculation method defined for the pull sequence.
Examples
This example describes how to recalculate Kanban size or Kanban cards.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/kanbanPlans/action/recalculate"
Example Request Body
The following example includes the contents of the request
body in JSON format. You replace the request
payload in the cURL command with the contents of the Example Request Body.
The request payload specifies attribute values that the command will use in the
record that it updates.
{
"pullSequenceId": "13088",
"avgDailyDemand": "3",
"safetyStock": "1",
"leadTime": "4",
"kanbanSize": "10",
"kanbanCards": 2,
"saveFlag": false
}Example Response Body
The following example includes the contents of the response body in JSON format: